### Method

# ICalGLib VcardProperty get_parent

since: 4.0

#### Declaration [src]

    ICalVcardComponent*
    i_cal_vcard_property_get_parent (
      ICalVcardProperty* property
    )

#### Description [src]

Gets the parent component of the property. Use with caution. When icalproperty is deallocated, it won’t deallocate its parent. However the `ICalVcardComponent` object created using this method will be deallocated (if no reference in other places). So You need to make sure there is another reference except the one in `ICalVcardProperty`.

Available since: 4.0

#### Return value

Type: `ICalVcardComponent`

The parent `ICalVcardComponent` of `ICalVcardProperty`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.